Data Fields

# Textbuf Struct Reference

Helper/buffer for input fields. More...

`#include <textbuf_gui.h>`

## Data Fields
char * | buf
| buffer in which text is saved
uint16 | max_bytes
| the maximum size of the buffer in bytes (including terminating '')
uint16 | max_chars
| the maximum size of the buffer in characters (including terminating '')
uint16 | bytes
| the current size of the string in bytes (including terminating '')
uint16 | chars
| the current size of the string in characters (including terminating '')
uint16 | pixels
| the current size of the string in pixels
bool | caret
| is the caret ("_") visible or not
uint16 | caretpos
| the current position of the caret in the buffer, in bytes
uint16 | caretxoffs
| the current position of the caret in pixels

## Detailed Description

Helper/buffer for input fields.

Definition at line 20 of file textbuf_gui.h.

The documentation for this struct was generated from the following file:

- src/textbuf_gui.h